Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04159 DIP/Input Major Always Dec 29, 2010, 20:13 Jul 27, 2019, 15:07
Tester dustybootz View Status Public Platform MAMEUI
Assigned To Kale Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver segas24.cpp
Version 0.140u3 Fixed in Version 0.212 Build 64-bit
Summary 04159: sgmast, sgmastc, sgmastj: Controller does not emulate correctly, game unplayable
Description The swing power controller (which rotates through 180degs) does not emulate correctly, i have tried a joystick controller, keyboard, mouse, and attempted to change the options, but whichever way I use I cannot get the power bar to go above 70% (=3/4 swing), hence the game in unplayable.
Steps To Reproduce this will become evident if you play the game,
Additional Information
Flags
Regression Version
Affected Sets / Systems sgmast, sgmastc, sgmastj
Attached Files
jpg file icon Jumbo_Ozaki_Super_Masters_Golf_-_1989_-_Sega.jpg (94,275 bytes) Dec 29, 2010, 20:41
png file icon sgmast_pinassignment.png (58,809 bytes) Dec 30, 2010, 00:50
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.06970
Tafoid
Administrator
Dec 29, 2010, 20:40
Updated report and driver (segas24.c). Added controller picture for reference.
User avatar
No.06971
Tafoid
Administrator
Dec 29, 2010, 21:57
edited on: Dec 30, 2010, 00:49
The game's input for strength of swing should involve 6 bits, not 4 (as an 8-way).
Schematics clearly show that 6 pins off the connector deal with swing (d0-d5). Currently only d0-d3 are covered with the joystick setup.

I've attached snippet from service manual which details the pinout for the game.